/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import React from "react";
import { Button, Header, Responsive, Segment } from "semantic-ui-react";
/**
 * Danger zone component.
 *
 * @param {DangerZoneProps} props - Props injected to the danger zone component.
 * @return {JSX.Element}
 */
export const DangerZone = (props) => {
    const { actionTitle, header, subheader, onActionClick, deleteButtonTestId, dangerZoneTestId } = props;
    return (React.createElement(Segment, { "data-testid": dangerZoneTestId, className: "danger-zone", padded: true, clearing: true },
        React.createElement(Header, { as: "h5", color: "red", floated: "left" },
            header,
            React.createElement(Header.Subheader, { className: "sub-header" }, subheader)),
        React.createElement(Button, { "data-testid": deleteButtonTestId, fluid: window.innerWidth <= Responsive.onlyTablet.maxWidth, negative: true, className: (window.innerWidth <= Responsive.onlyTablet.maxWidth)
                ? "mb-1x mt-1x"
                : "", floated: "right", onClick: onActionClick }, actionTitle)));
};
//# sourceMappingURL=danger-zone.js.map